Bug 472285 - /root is labelled as user_home_t
/root is labelled as user_home_t
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libsemanage (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 14:49 EST by Tom London
Modified: 2008-12-30 10:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 10:13:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-11-19 14:49:36 EST
Description of problem:
Running:

[root@tlondon ~]# rpm -qa selinux-policy\*
selinux-policy-3.5.13-21.fc10.noarch
selinux-policy-targeted-3.5.13-21.fc10.noarch
[root@tlondon ~]#

and

[root@tlondon ~]# rpm -qa libse\* policycore\*
libselinux-python-2.0.75-1.fc11.x86_64
libsemanage-2.0.29-1.fc11.x86_64
libselinux-devel-2.0.75-1.fc11.x86_64
libsexy-0.1.11-9.fc10.x86_64
libsemanage-python-2.0.29-1.fc11.x86_64
libsepol-static-2.0.34-1.fc11.x86_64
policycoreutils-gui-2.0.59-1.fc11.x86_64
libsepol-2.0.34-1.fc11.x86_64
libselinux-utils-2.0.75-1.fc11.x86_64
libsemanage-devel-2.0.29-1.fc11.x86_64
libselinux-debuginfo-2.0.73-1.fc10.x86_64
libselinux-2.0.75-1.fc11.x86_64
libselinux-2.0.75-1.fc11.i386
libsepol-devel-2.0.34-1.fc11.x86_64
policycoreutils-2.0.59-1.fc11.x86_64
[root@tlondon ~]#

If I do a "restorecon -v -R -n" in /root, I get (among others):

restorecon reset ./bin context
unconfined_u:object_r:admin_home_t:s0->system_u:object_r:user_home_t:s0
restorecon reset ./bin/FullBackup.sh context
unconfined_u:object_r:admin_home_t:s0->system_u:object_r:user_home_t:s0
restorecon reset ./.bash_profile context
system_u:object_r:admin_home_t:s0->system_u:object_r:user_home_t:s0

Version-Release number of selected component (if applicable):
libsemanage-2.0.29-1.fc11.x86_64

How reproducible:
Yup

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-11-26 00:37:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tom London 2008-12-30 10:13:34 EST
This appears "fixed" in rawhide.

Closing.

Note You need to log in before you can comment on or make changes to this bug.